
.furniture {
  .line {
    height: 1px;
    background: $primary-bg-color;
  }

  .cards__row {
    margin: 0 -30px;
  }


  .furniture__item {
    border-radius: 0 !important;

    &:hover {
      &::after {
        display: block;
      }

      .footer__price {
        background: $primary-color;
        transition: all 0.3s ease;
      }

      .card-title {
        color: $primary-color;
        transition: all 0.3s ease;
      }

      .btns {
        display: block;
      }
    }
  }

  .btns {
    display: none;
  }

  .divs-container {
    height: 260px;
  }

  .card-img-top {
    background-color: $furniture-bg;
    width: 100%;
    height: 100%;
    object-fit: contain;
    overflow: hidden;
    padding: 5px;
  }

  .furniture__item {
    position: relative;
    overflow: hidden;

    &::after {
      content: 'sale';
      font-size: 12px;
      text-align: center;
      vertical-align: bottom;
      position: absolute;
      color: white;
      background-color: black;
      transform: translateX(-50%);
      left: 50%;
      top: -20px;
      border-radius: 50%;
      height: 40px;
      line-height: 56px;
      width: 40px;
      display: none;
    }

    .divs-container {
      position: relative;
    }

    .btn {
      position: absolute;
      background: black;
      color: white;
      font-size: 13px;
      bottom: 0;
      text-align: center;
      border-radius: 0;
      cursor: pointer;
    }

    .btn-quick-view {
      left: 3%;

    }

    .btn-add-to-cart {
      right: 3%;
      text-transform: uppercase;
      font-weight: 600;
    }

    .fa-shopping-basket {
      color: white;
    }
  }

  .card-body {
    text-align: center;
  }

  .card-title {
    color: black;
    cursor: pointer;
  }

  .card__line {
    position: relative;

    &::before {
      position: absolute;
      content: '';
      bottom: -1px;
      transform: translateX(-50%);
      left: 50%;
      height: 3px;
      width: 30px;
      background-color: $primary-color;
    }
  }

  .card-footer {
    border: none !important;
  }


  .fa-sync-alt {
    background: $furniture-bg;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
    line-height: 50px;
    cursor: pointer;
  }
}

.rotate {
  .fa-sync-alt {
    background: $primary-color;
    transform: rotate(360deg);
    transition: all 2s ease;
  }
}

.fa-exchange-alt, .fa-heart {
  border: 1px solid black;
  padding: 9px;
}

.footer__price {
  font-size: 18px;
  padding: 5px;
  background: black;
  color: white;
}

.footer__sale {
  font-size: 16px;
  color: $secondary-bg-color;
  text-decoration: line-through;
}

@media (min-width: 1141px) {
  .furniture {
    .col-lg-4 {
      padding-left: 10px !important;
      padding-right: 10px !important;
    }
  }
}

@media (min-width: 992px) and (max-width: 1140px) {
  .furniture {
    .footer__sale {
      font-size: 12px;
    }

    .footer__price {
      font-size: 16px;
    }

    .furniture__item {
      .btn {
        font-size: 11px;
        padding-left: 2px;
        padding-right: 2px;
      }
    }
  }
}

@media (min-width: 768px) and (max-width: 991px) {
  .furniture {

    .footer__sale {
      font-size: 12px;
    }

    .footer__price {
      font-size: 16px;
    }
  }
  .furniture__container {
    width: 75%;
  }
}

@media (min-width: 576px) and (max-width: 767px) {
  .furniture {
    .cards__container {
      width: 60%;
    }
  }
}

@media (min-width: 480px) and (max-width: 575px) {

  .furniture {

    .furniture__container {
      width: 95%;
    }

    .cards__container {
      width: 60%;
    }

    .furniture__item {
      .btn {
        font-size: 12px;
        padding-left: 5px;
        padding-right: 5px;
      }
    }
  }
}

@media (min-width: 320px) and (max-width: 479px) {

  .furniture {

    .furniture__container {
      width: 95%;
    }

    .cards__container {
      width: 80%;
    }

    .furniture__item {
      .btn {
        font-size: 12px;
        padding-left: 5px;
        padding-right: 5px;
      }
    }
  }
}


@import 'modals/product-details.scss';

